<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSMssql" targetNamespace="http://tempuri.org/DSMssql.xsd" xmlns:mstns="http://tempuri.org/DSMssql.xsd" xmlns="http://tempuri.org/DSMssql.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FPM0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="SPMasterTableAdapter" GeneratorDataComponentClassName="SPMasterTableAdapter" Name="SPMaster" UserDataComponentName="SPMasterTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.SPMaster" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [SPMaster] WHERE (([ID] = @Original_ID) AND ((@IsNull_CtrlNo = 1 AND [CtrlNo] IS NULL) OR ([CtrlNo] = @Original_CtrlNo)) AND ((@IsNull_SIDNo = 1 AND [SIDNo] IS NULL) OR ([SIDNo] = @Original_SIDNo)) AND ((@IsNull_Storage = 1 AND [Storage] IS NULL) OR ([Storage] = @Original_Storage)) AND ((@IsNull_Location = 1 AND [Location] IS NULL) OR ([Location] = @Original_Location)) AND ((@IsNull_UseEqmt = 1 AND [UseEqmt] IS NULL) OR ([UseEqmt] = @Original_UseEqmt)) AND ((@IsNull_PartName = 1 AND [PartName] IS NULL) OR ([PartName] = @Original_PartName)) AND ((@IsNull_PartNo = 1 AND [PartNo] IS NULL) OR ([PartNo] = @Original_PartNo)) AND ((@IsNull_Process = 1 AND [Process] IS NULL) OR ([Process] = @Original_Process)) AND ((@IsNull_SupplierNo = 1 AND [SupplierNo] IS NULL) OR ([SupplierNo] = @Original_SupplierNo)) AND ((@IsNull_CurrentQty = 1 AND [CurrentQty] IS NULL) OR ([CurrentQty] = @Original_CurrentQty)) AND ((@IsNull_MHA = 1 AND [MHA] IS NULL) OR ([MHA] = @Original_MHA)) AND ((@IsNull_Division = 1 AND [Division] IS NULL) OR ([Division] = @Original_Division)) AND ((@IsNull_BadQty = 1 AND [BadQty] IS NULL) OR ([BadQty] = @Original_BadQty)) AND ((@IsNull_Price = 1 AND [Price] IS NULL) OR ([Price] = @Original_Price)) AND ((@IsNull_PriceUnit = 1 AND [PriceUnit] IS NULL) OR ([PriceUnit] = @Original_PriceUnit)) AND ((@IsNull_CostCenter = 1 AND [CostCenter] IS NULL) OR ([CostCenter] = @Original_CostCenter)) AND ((@IsNull_Memo = 1 AND [Memo] IS NULL) OR ([Memo] = @Original_Memo)) AND ((@IsNull_EnrDate = 1 AND [EnrDate] IS NULL) OR ([EnrDate] = @Original_EnrDate)) AND ((@IsNull_Enrollee = 1 AND [Enrollee] IS NULL) OR ([Enrollee] = @Original_Enrollee)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CtrlNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CtrlNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Storage" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Storage" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Location" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Location" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_UseEqmt" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_UseEqmt" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Process" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SupplierNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SupplierNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CurrentQty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_CurrentQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MHA" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MHA" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Division" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Division" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BadQty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_BadQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Price" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Price" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PriceUnit" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PriceUnit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CostCenter" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CostCenter" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Memo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Memo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EnrDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_EnrDate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Enrollee" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Enrollee" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [SPMaster] ([ID], [CtrlNo], [SIDNo], [Storage], [Location], [UseEqmt], [PartName], [PartNo], [Process], [SupplierNo], [CurrentQty], [MHA], [Division], [BadQty], [Price], [PriceUnit], [CostCenter], [Memo], [EnrDate], [Enrollee]) VALUES (@ID, @CtrlNo, @SIDNo, @Storage, @Location, @UseEqmt, @PartName, @PartNo, @Process, @SupplierNo, @CurrentQty, @MHA, @Division, @BadQty, @Price, @PriceUnit, @CostCenter, @Memo, @EnrDate, @Enrollee);
SELECT ID, CtrlNo, SIDNo, Storage, Location, UseEqmt, PartName, PartNo, Process, SupplierNo, CurrentQty, MHA, Division, BadQty, Price, PriceUnit, CostCenter, Memo, EnrDate, Enrollee FROM SPMaster WHERE (ID = @ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CtrlNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Storage" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Location" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@UseEqmt" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SupplierNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@CurrentQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MHA" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Division" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@BadQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Price" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PriceUnit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CostCenter" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Memo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EnrDate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Enrollee" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  ID, CtrlNo, SIDNo, Storage, Location, UseEqmt, PartName, PartNo, Process, SupplierNo, CurrentQty, MHA, Division, BadQty, Price, PriceUnit, CostCenter, Memo, EnrDate, Enrollee
FROM     SPMaster
WHERE  (Division = @division)
ORDER BY PartName</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="division" ColumnName="Division" DataSourceName="EE.dbo.SPMaster" DataTypeServer="varchar(200)" DbType="AnsiString" Direction="Input" ParameterName="@division" Precision="0" ProviderType="VarChar" Scale="0" Size="200" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [SPMaster] SET [ID] = @ID, [CtrlNo] = @CtrlNo, [SIDNo] = @SIDNo, [Storage] = @Storage, [Location] = @Location, [UseEqmt] = @UseEqmt, [PartName] = @PartName, [PartNo] = @PartNo, [Process] = @Process, [SupplierNo] = @SupplierNo, [CurrentQty] = @CurrentQty, [MHA] = @MHA, [Division] = @Division, [BadQty] = @BadQty, [Price] = @Price, [PriceUnit] = @PriceUnit, [CostCenter] = @CostCenter, [Memo] = @Memo, [EnrDate] = @EnrDate, [Enrollee] = @Enrollee WHERE (([ID] = @Original_ID) AND ((@IsNull_CtrlNo = 1 AND [CtrlNo] IS NULL) OR ([CtrlNo] = @Original_CtrlNo)) AND ((@IsNull_SIDNo = 1 AND [SIDNo] IS NULL) OR ([SIDNo] = @Original_SIDNo)) AND ((@IsNull_Storage = 1 AND [Storage] IS NULL) OR ([Storage] = @Original_Storage)) AND ((@IsNull_Location = 1 AND [Location] IS NULL) OR ([Location] = @Original_Location)) AND ((@IsNull_UseEqmt = 1 AND [UseEqmt] IS NULL) OR ([UseEqmt] = @Original_UseEqmt)) AND ((@IsNull_PartName = 1 AND [PartName] IS NULL) OR ([PartName] = @Original_PartName)) AND ((@IsNull_PartNo = 1 AND [PartNo] IS NULL) OR ([PartNo] = @Original_PartNo)) AND ((@IsNull_Process = 1 AND [Process] IS NULL) OR ([Process] = @Original_Process)) AND ((@IsNull_SupplierNo = 1 AND [SupplierNo] IS NULL) OR ([SupplierNo] = @Original_SupplierNo)) AND ((@IsNull_CurrentQty = 1 AND [CurrentQty] IS NULL) OR ([CurrentQty] = @Original_CurrentQty)) AND ((@IsNull_MHA = 1 AND [MHA] IS NULL) OR ([MHA] = @Original_MHA)) AND ((@IsNull_Division = 1 AND [Division] IS NULL) OR ([Division] = @Original_Division)) AND ((@IsNull_BadQty = 1 AND [BadQty] IS NULL) OR ([BadQty] = @Original_BadQty)) AND ((@IsNull_Price = 1 AND [Price] IS NULL) OR ([Price] = @Original_Price)) AND ((@IsNull_PriceUnit = 1 AND [PriceUnit] IS NULL) OR ([PriceUnit] = @Original_PriceUnit)) AND ((@IsNull_CostCenter = 1 AND [CostCenter] IS NULL) OR ([CostCenter] = @Original_CostCenter)) AND ((@IsNull_Memo = 1 AND [Memo] IS NULL) OR ([Memo] = @Original_Memo)) AND ((@IsNull_EnrDate = 1 AND [EnrDate] IS NULL) OR ([EnrDate] = @Original_EnrDate)) AND ((@IsNull_Enrollee = 1 AND [Enrollee] IS NULL) OR ([Enrollee] = @Original_Enrollee)));
SELECT ID, CtrlNo, SIDNo, Storage, Location, UseEqmt, PartName, PartNo, Process, SupplierNo, CurrentQty, MHA, Division, BadQty, Price, PriceUnit, CostCenter, Memo, EnrDate, Enrollee FROM SPMaster WHERE (ID = @ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CtrlNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Storage" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Location" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@UseEqmt" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SupplierNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@CurrentQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MHA" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Division" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@BadQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Price" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PriceUnit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CostCenter" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Memo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@EnrDate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Enrollee" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CtrlNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CtrlNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CtrlNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Storage" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Storage" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Storage" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Location" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Location" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Location" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_UseEqmt" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_UseEqmt" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="UseEqmt" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Process" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Process" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Process" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SupplierNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SupplierNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SupplierNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CurrentQty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_CurrentQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="CurrentQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MHA" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MHA" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="MHA" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Division" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Division" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Division" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BadQty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_BadQty" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="BadQty" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Price" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_Price" Precision="18" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PriceUnit" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PriceUnit" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PriceUnit" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CostCenter" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CostCenter" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CostCenter" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Memo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Memo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Memo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EnrDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_EnrDate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="EnrDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Enrollee" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Enrollee" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Enrollee" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="CtrlNo" DataSetColumn="CtrlNo" />
              <Mapping SourceColumn="SIDNo" DataSetColumn="SIDNo" />
              <Mapping SourceColumn="Storage" DataSetColumn="Storage" />
              <Mapping SourceColumn="Location" DataSetColumn="Location" />
              <Mapping SourceColumn="UseEqmt" DataSetColumn="UseEqmt" />
              <Mapping SourceColumn="PartName" DataSetColumn="PartName" />
              <Mapping SourceColumn="PartNo" DataSetColumn="PartNo" />
              <Mapping SourceColumn="Process" DataSetColumn="Process" />
              <Mapping SourceColumn="SupplierNo" DataSetColumn="SupplierNo" />
              <Mapping SourceColumn="CurrentQty" DataSetColumn="CurrentQty" />
              <Mapping SourceColumn="MHA" DataSetColumn="MHA" />
              <Mapping SourceColumn="Division" DataSetColumn="Division" />
              <Mapping SourceColumn="BadQty" DataSetColumn="BadQty" />
              <Mapping SourceColumn="Price" DataSetColumn="Price" />
              <Mapping SourceColumn="PriceUnit" DataSetColumn="PriceUnit" />
              <Mapping SourceColumn="CostCenter" DataSetColumn="CostCenter" />
              <Mapping SourceColumn="Memo" DataSetColumn="Memo" />
              <Mapping SourceColumn="EnrDate" DataSetColumn="EnrDate" />
              <Mapping SourceColumn="Enrollee" DataSetColumn="Enrollee" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.SPMaster" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByAll" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetByAll" GeneratorSourceName="FillByAll" GetMethodModifier="Public" GetMethodName="GetByAll" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetByAll" UserSourceName="FillByAll">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  ID, CtrlNo, SIDNo, Storage, Location, UseEqmt, PartName, PartNo, Process, SupplierNo, CurrentQty, MHA, Division, BadQty, Price, PriceUnit, CostCenter, Memo, EnrDate, Enrollee
FROM     SPMaster
order by Division,PartName</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="DivListTableAdapter" GeneratorDataComponentClassName="DivListTableAdapter" Name="DivList" UserDataComponentName="DivListTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.SPMaster" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  Division
FROM     SPMaster
GROUP BY Division
ORDER BY Division</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="Division" DataSetColumn="Division" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSMssql" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSMssql" msprop:Generator_UserDSName="DSMssql">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="SPMaster" msprop:Generator_TableClassName="SPMasterDataTable" msprop:Generator_TableVarName="tableSPMaster" msprop:Generator_TablePropName="SPMaster" msprop:Generator_RowDeletingName="SPMasterRowDeleting" msprop:Generator_RowChangingName="SPMasterRowChanging" msprop:Generator_RowEvHandlerName="SPMasterRowChangeEventHandler" msprop:Generator_RowDeletedName="SPMasterRowDeleted" msprop:Generator_UserTableName="SPMaster" msprop:Generator_RowChangedName="SPMasterRowChanged" msprop:Generator_RowEvArgName="SPMasterRowChangeEvent" msprop:Generator_RowClassName="SPMasterRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="CtrlNo" msprop:Generator_ColumnVarNameInTable="columnCtrlNo" msprop:Generator_ColumnPropNameInRow="CtrlNo" msprop:Generator_ColumnPropNameInTable="CtrlNoColumn" msprop:Generator_UserColumnName="CtrlNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SIDNo" msprop:Generator_ColumnVarNameInTable="columnSIDNo" msprop:Generator_ColumnPropNameInRow="SIDNo" msprop:Generator_ColumnPropNameInTable="SIDNoColumn" msprop:Generator_UserColumnName="SIDNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Storage" msprop:Generator_ColumnVarNameInTable="columnStorage" msprop:Generator_ColumnPropNameInRow="Storage" msprop:Generator_ColumnPropNameInTable="StorageColumn" msprop:Generator_UserColumnName="Storage" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Location" msprop:Generator_ColumnVarNameInTable="columnLocation" msprop:Generator_ColumnPropNameInRow="Location" msprop:Generator_ColumnPropNameInTable="LocationColumn" msprop:Generator_UserColumnName="Location" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="UseEqmt" msprop:Generator_ColumnVarNameInTable="columnUseEqmt" msprop:Generator_ColumnPropNameInRow="UseEqmt" msprop:Generator_ColumnPropNameInTable="UseEqmtColumn" msprop:Generator_UserColumnName="UseEqmt" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartName" msprop:Generator_ColumnVarNameInTable="columnPartName" msprop:Generator_ColumnPropNameInRow="PartName" msprop:Generator_ColumnPropNameInTable="PartNameColumn" msprop:Generator_UserColumnName="PartName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartNo" msprop:Generator_ColumnVarNameInTable="columnPartNo" msprop:Generator_ColumnPropNameInRow="PartNo" msprop:Generator_ColumnPropNameInTable="PartNoColumn" msprop:Generator_UserColumnName="PartNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Process" msprop:Generator_ColumnVarNameInTable="columnProcess" msprop:Generator_ColumnPropNameInRow="Process" msprop:Generator_ColumnPropNameInTable="ProcessColumn" msprop:Generator_UserColumnName="Process" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SupplierNo" msprop:Generator_ColumnVarNameInTable="columnSupplierNo" msprop:Generator_ColumnPropNameInRow="SupplierNo" msprop:Generator_ColumnPropNameInTable="SupplierNoColumn" msprop:Generator_UserColumnName="SupplierNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CurrentQty" msprop:Generator_ColumnVarNameInTable="columnCurrentQty" msprop:Generator_ColumnPropNameInRow="CurrentQty" msprop:Generator_ColumnPropNameInTable="CurrentQtyColumn" msprop:Generator_UserColumnName="CurrentQty" type="xs:decimal" minOccurs="0" />
              <xs:element name="MHA" msprop:Generator_ColumnVarNameInTable="columnMHA" msprop:Generator_ColumnPropNameInRow="MHA" msprop:Generator_ColumnPropNameInTable="MHAColumn" msprop:Generator_UserColumnName="MHA" type="xs:decimal" minOccurs="0" />
              <xs:element name="Division" msprop:Generator_ColumnVarNameInTable="columnDivision" msprop:Generator_ColumnPropNameInRow="Division" msprop:Generator_ColumnPropNameInTable="DivisionColumn" msprop:Generator_UserColumnName="Division" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BadQty" msprop:Generator_ColumnVarNameInTable="columnBadQty" msprop:Generator_ColumnPropNameInRow="BadQty" msprop:Generator_ColumnPropNameInTable="BadQtyColumn" msprop:Generator_UserColumnName="BadQty" type="xs:decimal" minOccurs="0" />
              <xs:element name="Price" msprop:Generator_ColumnVarNameInTable="columnPrice" msprop:Generator_ColumnPropNameInRow="Price" msprop:Generator_ColumnPropNameInTable="PriceColumn" msprop:Generator_UserColumnName="Price" type="xs:decimal" minOccurs="0" />
              <xs:element name="PriceUnit" msprop:Generator_ColumnVarNameInTable="columnPriceUnit" msprop:Generator_ColumnPropNameInRow="PriceUnit" msprop:Generator_ColumnPropNameInTable="PriceUnitColumn" msprop:Generator_UserColumnName="PriceUnit" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CostCenter" msprop:Generator_ColumnVarNameInTable="columnCostCenter" msprop:Generator_ColumnPropNameInRow="CostCenter" msprop:Generator_ColumnPropNameInTable="CostCenterColumn" msprop:Generator_UserColumnName="CostCenter" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Memo" msprop:Generator_ColumnVarNameInTable="columnMemo" msprop:Generator_ColumnPropNameInRow="Memo" msprop:Generator_ColumnPropNameInTable="MemoColumn" msprop:Generator_UserColumnName="Memo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EnrDate" msprop:Generator_ColumnVarNameInTable="columnEnrDate" msprop:Generator_ColumnPropNameInRow="EnrDate" msprop:Generator_ColumnPropNameInTable="EnrDateColumn" msprop:Generator_UserColumnName="EnrDate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Enrollee" msprop:Generator_ColumnVarNameInTable="columnEnrollee" msprop:Generator_ColumnPropNameInRow="Enrollee" msprop:Generator_ColumnPropNameInTable="EnrolleeColumn" msprop:Generator_UserColumnName="Enrollee" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="DivList" msprop:Generator_TableClassName="DivListDataTable" msprop:Generator_TableVarName="tableDivList" msprop:Generator_RowChangedName="DivListRowChanged" msprop:Generator_TablePropName="DivList" msprop:Generator_RowDeletingName="DivListRowDeleting" msprop:Generator_RowChangingName="DivListRowChanging" msprop:Generator_RowEvHandlerName="DivListRowChangeEventHandler" msprop:Generator_RowDeletedName="DivListRowDeleted" msprop:Generator_RowClassName="DivListRow" msprop:Generator_UserTableName="DivList" msprop:Generator_RowEvArgName="DivListRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Division" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Division" msprop:Generator_ColumnVarNameInTable="columnDivision" msprop:Generator_ColumnPropNameInTable="DivisionColumn" msprop:Generator_UserColumnName="Division">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:SPMaster" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
    <xs:unique name="DivList_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:DivList" />
      <xs:field xpath="mstns:Division" />
    </xs:unique>
  </xs:element>
</xs:schema>